import("./utils.js").then((utils) => {
    import(utils.coreVersion()).then((core) => {

        core.Sib.register({
            name: "customtzcld-display-user-territories",
            use: [core.StoreMixin],
      
            empty() {
              console.debug();
              this.element.innerHTML = "";
            },
      
            async populate() {
              this.element.innerHTML = `
              <div class="loader">
                <div></div>
                <div></div>
                <div></div>
                <div></div>
              </div>`;
              let tzcldprofile = {
                community: await this.resource
              };
              let tzcld_profile = {
                resource: await tzcldprofile.community.tzcld_profile
              };
              let region = await tzcld_profile.resource.region ;
              let step_state = await tzcld_profile.resource.step_state ;
              let kind = await tzcld_profile.resource.kind ;
              if("label" in this.element.attributes) {
                for(let ignore of this.element.attributes['label'].value.split(',')) {
                  tzcldprofile[ignore.trim()] = null;
                }
              }
              let render = ``;
              
              let html_region  =  `<div class="region segment tag color-fourth">${await region.name}</div>`;
              let html_step_state  =  `<div class="region segment tag color-fourth">${await step_state.name}</div>`;
              let html_kind  =  `<div class="region segment tag color-fourth">${await kind.name}</div>`;
              render +=  `<div class="territoires-mini-card-2 segment full shadow margin-top-small">
                <div class="segment width-25 padding-small padding-top-medium">
                  <solid-display class="segment full" bind-resources="" label-logo="" fields="logo" class-logo="segment full" widget-logo="orbit-user-avatar" data-src="${await tzcldprofile.community['@id']}" solid-resource=""></solid-display>
                </div>
                <div class="segment width-75 padding-large border-left border-color-grey">
                  <div class="community-card-2 segment full">
                    <h4 class="text-xlarge text-semibold text-color-secondary margin-top-xxsmall margin-bottom-xsmall">${await tzcldprofile.community.name}</h4>
                    <div>${html_region + html_step_state + html_kind }</div>
                  </div>
                </div>
              </div>`;
              this.element.innerHTML = render;
            },
        });
    });
});