import("./utils.js").then((utils) => {
    import(utils.coreVersion()).then((core) => {

        core.Sib.register({
            name: "customtzcld-display-user-regions",
            use: [core.StoreMixin],
      
            empty() {
              console.debug();
              this.element.innerHTML = "";
            },
      
            async populate() {
              this.element.innerHTML = `
              <div class="loader">
                <div></div>
                <div></div>
                <div></div>
                <div></div>
              </div>`;
              let tzcldprofile = {
                regions: await this.resource["ldp:contains"]
              };
              if("label" in this.element.attributes) {
                for(let ignore of this.element.attributes['label'].value.split(',')) {
                  tzcldprofile[ignore.trim()] = null;
                }
              }
              let render = ``;
              for(let region of tzcldprofile.regions) {
                render +=  `<div class="region segment tag color-fourth">${await region.name}</div>`;
              }
             
              this.element.innerHTML = render;
            },
        });
        core.Sib.register({
            name: "customtzcld-display-user-profile-phones",
            use: [core.StoreMixin],
      
            empty() {
              console.debug();
              this.element.innerHTML = "";
            },
      
            async populate() {
              this.element.innerHTML = `
              <div class="loader">
                <div></div>
                <div></div>
                <div></div>
                <div></div>
              </div>`;
              let tzcldprofile = {
                phones: await this.resource["ldp:contains"]
              };
              if("label" in this.element.attributes) {
                for(let ignore of this.element.attributes['label'].value.split(',')) {
                  tzcldprofile[ignore.trim()] = null;
                }
              }
              let render = ``;
              for(let phone of tzcldprofile.phones) {
                render +=  `<div class="phone">${await phone.phone} ${await phone.phone_type}</div>`;
              }
             
              this.element.innerHTML = render;
            },
        });
        core.Sib.register({
            name: "customtzcld-display-user-profile-emails",
            use: [core.StoreMixin],
      
            empty() {
              console.debug();
              this.element.innerHTML = "";
            },
      
            async populate() {
              this.element.innerHTML = `
              <div class="loader">
                <div></div>
                <div></div>
                <div></div>
                <div></div>
              </div>`;
              let tzcldprofile = {
                emails: await this.resource["ldp:contains"]
              };
              if("label" in this.element.attributes) {
                for(let ignore of this.element.attributes['label'].value.split(',')) {
                  tzcldprofile[ignore.trim()] = null;
                }
              }
              let render = ``;
              for(let email of tzcldprofile.emails) {
                render +=  `<div class="email"><a class="link" href="mailto:${await email.email}">${await email.email}</a> ${await email.email_type}</div>`;
              }
             
              this.element.innerHTML = render;
            },
        });

        core.Sib.register({
            name: "customtzcld-display-user-profile-jobs",
            use: [core.StoreMixin],
    
            empty() {
            console.debug();
            this.element.innerHTML = "";
            },
    
            async populate() {
            this.element.innerHTML = `
            <div class="loader">
                <div></div>
                <div></div>
                <div></div>
                <div></div>
            </div>`;
            let tzcldprofile = {
                jobs: await this.resource["ldp:contains"]
            };
            if("label" in this.element.attributes) {
                for(let ignore of this.element.attributes['label'].value.split(',')) {
                tzcldprofile[ignore.trim()] = null;
                }
            }
            let render = `<div class="segment full margin-top-small margin-bottom-small">`;
            for(let job of tzcldprofile.jobs) {
                if(await job.organisation !="") {
                    if(await job.link !="") {
                        render +=  `<h3 class="position text-medium padding-bottom-large">${await job.position} à <a class="link text-top" href="${await job.link}">${await job.organisation}</a></h3>`;
                    } else {
                        render +=  `<h3 class="position text-medium padding-bottom-large">${await job.position} à ${await job.organisation}</h3>`;
                    }
                } else {
                    render +=  `<h3 class="position text-medium padding-bottom-large">${await job.position}</h3>`;
                }

                render +=  `<div class="address padding-bottom-small">${await job.address} <br/> ${await job.postal_code} ${await job.city}</div>`;
                if ((await job.mobile_phone != '') || (await job.phone != '')) {
                    render +=  `<div class="phone padding-bottom-small">`;
                }
                
                if (await job.mobile_phone != '') {
                    render +=  `${await job.phone}`;
                }
                if ((await job.mobile_phone != '') && (await job.phone != '')) {
                    render +=  ` - `;
                }
                if (await job.mobile_phone != '') {
                    render +=  `${await job.mobile_phone}`;
                }
                if ((await job.mobile_phone != '') || (await job.phone != '')) {
                    render +=  `</div>`;
                }
                
                if (await job.email != '') {
                    render +=  `<div class="email padding-bottom-small"><a class="link text-top" href="mailto:${await job.email}">${await job.email}</a></div>`;
                }
            
            }
            
            render +=  `</div>`;
            
            this.element.innerHTML = render;
            },
        });
    });
});